
Katello - Feature #36981

Make Katello use the structured pulp_deb upload

12/13/2023 10:35 AM - Manisha Singhal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 4.12.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/106

39

  

Description

Since pulp_deb has moved from simple to structured mode for debian repositories, Katello needs to be extended to use structured

pulp_deb upload functionality. With this extension, the file is uploaded to the content API endpoint using the repository parameter,

and ensure the upload creates all needed structure content in pulp_deb.

Associated revisions

Revision 96631cd1 - 01/10/2024 09:38 AM - Manisha Singhal

Refs #36981 - Add structure upload for deb repositories (#10639)

History

#1 - 12/13/2023 10:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10639 added

#2 - 12/13/2023 06:36 PM - Partha Aji

- Target version set to Katello 4.12.0

- Triaged changed from No to Yes

#3 - 03/27/2024 01:33 PM - Quinn James

- Target version deleted (Katello 4.12.0)

- Triaged changed from Yes to No

- Pull request deleted (https://github.com/Katello/katello/pull/10639)

Removing target version for 4.12 RC/GA re-triage

#4 - 03/27/2024 05:41 PM - Jeremy Lenz

- Category set to Repositories

- Status changed from Ready For Testing to Closed

- Target version set to Katello 4.12.0

- Triaged changed from No to Yes

- Pull request https://github.com/Katello/katello/pull/10639 added
